# frozen_string_literal: true

# Emails
class EmailFilterController < ApplicationController
  layout 'home_layout'
  def unsubscribe
    @email_filter =
      FilterForEmail.by_email(params[:i]).by_unique(params[:k]).first
    @email_filter.destroy unless @email_filter.blank?
  end
end
